# Wyatt's Nix configuration

Designed and developed by Wyatt J. Miller, 2024

Licensed by the Mozilla Public License v2

## What is this??

This repository is my multi-machine Nix configuration, written in a Nix flake!

## How do I get this?

Make sure the following is installed:

- `git` (most operating systems come with git already installed)
- `nix` (if you are on macOS or a non-NixOS system)

If you don't have `git` installed and are running macOS, run the following command:

```bash
sudo xcode-select --install
```

If you don't have `nix` installed and are running Linux, use the Determinate Nix Installer!

```bash
curl --proto '=https' --tlsv1.2 -sSf -L https://install.determinate.systems/nix | sh -s -- install
```

If you don't have `nix` installed and are running macOS, use the Determinate Nix Installer!

```bash
curl --proto '=https' --tlsv1.2 -sSf -L https://install.determinate.systems/nix | sh -s -- install
```

There's a separate installer Determinate Systems releases (and feel free to try it) but that's not on the install list here.

Once you got everything required, it's clonin' time!

```bash
git clone https://scm.wyattjmiller.com/wymiller/nix-config-v2
```

Once that's done, head to the next section.

## How do I run this?

For NixOS systems:

```bash
sudo nixos-rebuild switch --flake .#<hostname>
```

For macOS systems:

```bash
nix run nix-darwin --extra-experimental-features nix-command --extra-experimental-features flakes -- switch --flake .#<hostname>
```

_or_

```bash
darwin-rebuild switch --flake .#<hostname>
```

where `<hostname>` is the particular configuration you would like to run.

Non-NixOS Linux systems should be coming soon!
