{
  lib,
  pkgs,
  ...
}: let
  dirs = {
    defaults = ../defaults;
  };
in {
  wayland.windowManager.sway = {
    enable = pkgs.stdenv.isLinux;
    extraOptions = []; # Extra arguments to pass into sway. If sway goes haywire, we might need something in here
    xwayland = true;
    systemd.enable = true;

    wrapperFeatures = {
      gtk = true;
    };
  };

  xdg.configFile."sway/config".source = lib.mkForce (dirs.defaults + /sway/config);
  xdg.configFile."waybar/config".source = lib.mkForce (dirs.defaults + /waybar/config);
  xdg.configFile."waybar/style.css".source = lib.mkForce (dirs.defaults + /waybar/style.css);
  programs.rofi.enable = pkgs.stdenv.isLinux;
  services.mako.enable = pkgs.stdenv.isLinux;
  # programs.cliphist.enable = pkgs.stdenv.isLinux;
  programs.waybar = {
    enable = pkgs.stdenv.isLinux;
    systemd.enable = true;
  };
}
