{pkgs, ...}: {
  environment.systemPackages = with pkgs; [
    neovim
    git
  ];

  environment.variables.EDITOR = "nvim";

  homebrew = {
    enable = true;
    onActivation = {
      autoUpdate = false;
      cleanup = "zap";
    };

    masApps = {
      Xcode = 497799835;
      "Reeder 5." = 1529448980;
      Wireguard = 1451685025;
      Bitwarden = 1352778147;
      "AdGuard for Safari" = 1440147259;
    };

    taps = [
      "iina/homebrew-mpv-iina"
    ];

    brews = [
    ];

    casks = [
      "ghostty"
      "raycast"
      "jordanbaird-ice"
      "iina"
      "linearmouse"
      "sanesidebuttons"
      "betterdisplay"
      "maccy"
      "swift-quit"
      "medis"
      # "alt-tab"
    ];
  };
}
