# Power management modules

This directory houses my own custom defined power management settings. These are set in the machine-specific configurations (typically).

## Examples

Given that this configuration is in the `machine/<hostname>` directory (where hostname is the name of the computer your configuring):

### Desktop configuration

```nix
  imports = [
    ../../pwrMgmt
    # other configuration files here...
  ];

  pwrMgmt = {
    enable = true;
    cpuFreqGovernor = "performance";
    powertop.enable = false;
  };
```

### Laptop configuration

```nix
  imports = [
    ../../pwrMgmt
    # other configuration files here...
  ];

  pwrMgmt = {
    enable = true;
    cpuFreqGovernor = "powersave";
    powertop = {
      enable = true;
      autotuneOnBoot = true;
    };
    battery = {
      enable = true;
      startChargeThreshold = 40;
      stopChargeThreshold = 75;
    };
  };

```

Remember, these are just examples. Please suit these examples to fit your specific hardware.
