{
  config,
  lib,
  pkgs,
  ...
}: let
  cfg = config.podman;
in {
  options = {
    podman = {
      enable = lib.mkEnableOption "Podman container runtime";

      extraPackages = lib.mkOption {
        type = lib.types.listOf lib.types.package;
        default = [];
        description = "Additional container-related packages to install";
      };
    };
  };

  config = lib.mkIf cfg.enable {
    environment.systemPackages =
      [
        pkgs.podman
        pkgs.podman-compose
        pkgs.buildah
        pkgs.skopeo
        pkgs.dive
      ]
      ++ cfg.extraPackages;
  };
}
